Bug 327421 - Out of date docs - README.fedora
Out of date docs - README.fedora
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: bugzilla (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: John Berninger
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-11 05:44 EDT by Brad Hards
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-11 08:23:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brad Hards 2007-10-11 05:44:58 EDT
Description of problem:
README.fedora points back to an old (2.22) version of the bugzilla docs.


Version-Release number of selected component (if applicable):
3.0.2

How reproducible:
Always

Steps to Reproduce:
1. Review /usr/share/doc/bugzilla-3.0.2/README.fedora

  
Actual results:
Bugzilla is a powerful bug tracking system used by a large number of open
source projects.

In order to use Bugzilla, you will first need to configure it for your
environment.  The first step to doing this is to run the checksetup.pl
script, which will perform module version checks and create an initial
config file in /etc/bugzilla called localconfig.  You then need to ensure
the values in this file are accurate for your environment.

Once this is done, you may need to modify default settings for your database
to ensure it accepts Bugzilla data properly.  Please see
http://www.bugzilla.org/docs/2.22/html/configuration.html for specifics of
database setting modifications.

Lastly, simply re-run checksetup.pl to populate the database tables, set up
the templates, and add the administrator ID.  You should be done at this 
point.



Expected results:
It would probably be better to drop the Fedora specific docs, and just let the 
QUICKSTART file serve in its place. It at least explains the database steps, 
which are missing from README.fedora

Additional info:
Comment 1 John Berninger 2007-10-11 08:23:23 EDT
The purpose of this doc is to detail the fedora specific changes I've made from
upstream (e.g. the presence of /etc/bugzilla) - if you have additional
information you'd like added to this file, I'll be gald to consider it, but this
file will not be removed.
Comment 2 Brad Hards 2007-10-12 03:17:53 EDT
I would suggest at least pointing the docs at the 3.0 series. A suggestion to 
read the QUICKSTART would also be worth adding.

Note You need to log in before you can comment on or make changes to this bug.